Subject: RE: draft-klensin-nomcom-term-00.txt

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Wed, 27 Jul 2005 13:32:18 -0700

> My biggest worry is the one piece of structure that has no 
> wiggle room.  As 
> defined, if the Nomcom in phase 1 decides not to reappoint 
> the incumbent, 
> there is no way to recover if that turns out not to work.  I 
> like the idea 
> of considering incumbents on their own.  But I can not find a 
> way to make 
> the two-phase system work without severe risk of backing 
> ourselves into a 
> corner.

Given the '2 terms' limitation described I think that it is not very
likely that this would occur. A NOMCON is not very likely to be
considering replacing an AD unless their first term gave a very very
good reason to do so. The AD has in effect had to screw up in a pretty
major way that is not attributed to being new to the job within their
first 18 months. The most likely way that would happen is if they were
not doing the job.

The other advantage of the 2 terms limitation not mentioned so far is
that it makes it much more attractive to an employer to have someone
become an AD if they know that it is a fixed term commitment than if it
is open ended. I can see a real advantage in terms of career development
to having a member of my group serve a four year term. An eight year
term for a single individual is a rather different matter. I would much
rather have two (even three) individuals serve four year terms than have
one effectively committed for a life sentence.

The change also improves accountability. I think a lot of the problems
caused during the 'old boys network' period were due to the perception
that the members of the IESG had been permanently promoted to a higher
status and that this represented the culmination of their IETF career.

The four year time limit means that an AD who e.g. makes unilateral
decisions that override WG consensus in unfair ways will eventually be
called to account when they return to ordinary status.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Wed, 27 Jul 2005 18:56:47 -0400

Phillip and Joel,

--On Wednesday, 27 July, 2005 13:32 -0700 "Hallam-Baker,
Phillip" <[email-masked]> wrote:

>> ourselves into a corner.

I did worry about that.  But I agree with Phillip's comments
below, although I would have stated some of them more
positively.  FWIW, there was an early version of this proposal
that essentially permitted the nomcom to say "too bad, not
enough leadership depth in this area to continue it, we can't
find a plausible candidate and the area is hereby shut down".
I was convinced that was much too draconian but, frankly, if we
get into a situation in which the Nomcom's only choice is put an
AD back in whom they have already decided to retire, I'd like to
see some other options considered.  Those might include:

	* Dragging a former AD (one who has spent a few years
	back in the trenches) out of retirement for a
	really-short term appointment while the nomcom beats the
	bushes and twists arms.
	
	* Leaving a vacancy and asking the IESG to carefully
	consider whether the area is defined and organized
	properly given the shortage of leadership.
	
	* And probably some other things. 

As indicated in my longer note, my goal was to promote turnover
and more circulation of ADs back into technical work,
leadership, and mentoring at the WG level.   If an area has a
leadership shortage, that should be a stronger reason to get
people with AD experience back on the front lines of where the
work is being done and able to train or mentor others, rather
than holding them on the IESG longer and making the situation
worse.

YMMD, of course, and the proposal could be easily changed to
allow escapes that would permit recycling an AD who had been
retired in the first round if the community really thought that
was desirable.  But I'd argue that it is not.

More below. 

> Given the '2 terms' limitation described I think that it is
> not very likely that this would occur. A NOMCON is not very
> likely to be considering replacing an AD unless their first
> term gave a very very good reason to do so. The AD has in
> effect had to screw up in a pretty major way that is not
> attributed to being new to the job within their first 18
> months. The most likely way that would happen is if they were
> not doing the job.

Exactly.  After one term, there isn't going to be an issue
unless there has been a major screwup, probably more than one
with no signs of learning.  After two terms, the incumbent is
presumed to be out and therefore part of the job --during the
second term if not the first-- is to be sure that there will be
good candidates.  If there are no plausible successors, I'd
expect the incumbent and the IESG to deal with that.  Dealing
with it would presumably start by reconsidering the viability of
the area, long before any of this gets to the Nomcom.    The
intent is to permit a third term in exceptional circumstances,
but to create a really strong bias against those "exceptional
circumstances" being "can't find anyone else".
 
> The other advantage of the 2 terms limitation not mentioned so
> far is that it makes it much more attractive to an employer to
> have someone become an AD if they know that it is a fixed term
> commitment than if it is open ended. I can see a real
> advantage in terms of career development to having a member of
> my group serve a four year term. An eight year term for a
> single individual is a rather different matter. I would much
> rather have two (even three) individuals serve four year terms
> than have one effectively committed for a life sentence.

Exactly.  See the "jury duty" comments in my long note about
motivation.
 
> The change also improves accountability. I think a lot of the
> problems caused during the 'old boys network' period were due
> to the perception that the members of the IESG had been
> permanently promoted to a higher status and that this
> represented the culmination of their IETF career.
> 
> The four year time limit means that an AD who e.g. makes
> unilateral decisions that override WG consensus in unfair ways
> will eventually be called to account when they return to
> ordinary status.

I'm not sure, and I want to focus more on ways to encourage the
behavior the community wants rather than on how to punish the
behavior it doesn't.  The above doesn't really work as an
accountability formula because, in principle, someone could
systematically misbehave as an AD and then exit the IETF
entirely at end of term.   For that situation, only recalls are
likely to work, and this doesn't change the recall mechanism.
However, my personal theory is that what the community sees as
unilateral decisions are the result of either getting seriously
out of touch with the work and WG process or of the massive
overload problem.  More rollover and time in the WGs before and
after IESG terms will tend to reduce the tendency to get out of
touch with those processes (see below) and the other proposal
addresses the overload part.   Let's try to figure out what the
problems are and find things that solve or at least reduce them,
rather than figuring out ways to punish people for responding
badly to intolerable circumstances.

     john

p.s.  We've got something of a tradition of moving people from
the IESG to the IAB and vice versa.  This document deliberately
does not address the question of whether someone should spend a
year or two as an IETF participant before making that switch.
Anecdotally, I would say that sometimes the direct migration has
worked out very well... and sometimes it hasn't.   Having made
the move without a break, my own feeling, in retrospect, was
that I would have been better off, and it would have been better
for the community, if I had a year or two to do some bottom-up
technical work again before ending up on the IAB.  The
experience of others probably differs.  I don't see a need to
write a strong rule about this, but, if we do the rest of it, I
would hope that the nomcom would get the general message that
moving people between the two bodies (and if the other proposal
goes through, between either of them and the review panel) is
probably to be avoided unless there is some specific reason to
do so.   Again, the idea is not really "term limits", but the
considerable value of circulating people with the perspectives
and experience gained on the IESG and IAB back into the
community.  Nothing in the proposal would prohibit them from
ending up on either body "later", even the one they served on
before, but I believe the break is A Good Thing for both the
IETF and the individuals involved.

---

From: "James M. Polk" <[email-masked]>
Date: Wed, 27 Jul 2005 18:44:42 -0500

At 06:56 PM 7/27/2005 -0400, John C Klensin wrote:
>  I'd like to
>see some other options considered.

How about a NONCOM review situation roughly such as this:

if there is more than one candidate that can do the AD position for a 
particular area, if an active AD is one on the short list, and if that AD 
has alraedy severed 2 terms, the existing AD is not the one chosen for the 
new term.

This will cause turnover only when there is an acceptable replacement as 
determined by the NONCOM, and not leave a situation in which there isn't 
any viable choice.

>leadership, and mentoring at the WG level.

I think the above suggestion does this without leaving the IESG with a less 
than desirable candidate.

cheers,
James

                                 *******************
                 Truth is not to be argued... it is to be presented.

---

From: John C Klensin <[email-masked]>
Date: Wed, 27 Jul 2005 23:19:46 -0400

James,

Now I'm going to need to be a little cynical...

--On Wednesday, 27 July, 2005 18:44 -0500 "James M. Polk"
<[email-masked]> wrote:

> if there is more than one candidate that can do the AD
> position for a particular area, if an active AD is one on the
> short list, and if that AD has alraedy severed 2 terms, the
> existing AD is not the one chosen for the new term.
> 
> This will cause turnover only when there is an acceptable
> replacement as determined by the NONCOM, and not leave a
> situation in which there isn't any viable choice.

This is actually a no-op.  Please remember that there are not,
and probably cannot be, any really objective and sufficient
criteria for "can do the AD job" or for who is or is not a
"desirable candidate".  Consequently, an incumbent will _always_
be more qualified than a potential replacement, if only because
the incumbent already knows the job and the replacement will
need to read in.  In addition, an incumbent is always more or
less a known quality, while the behavior someone new on the IESG
is always uncertain.

So that would leave us essentially where we are today.

Worse, making a determination that there are additional
qualified candidates blows away the notion of evaluating
incumbent ADs separately from potential new candidates so that
the latter are never "running against" an incumbent, which is a
key element of the approach described in the draft.

best,
   john

---

From: "James M. Polk" <[email-masked]>
Date: Wed, 27 Jul 2005 22:42:38 -0500

John

Why is this a no-op for the reasons you state? You're rationale is good, 
yet past experience shows the following to be true:

    that if a candidate is a sitting AD who wants the position again,
    why would they have ever be replaced?

The opposite of this has happened within the last few years (do I need to 
give the example?).  If it can happen without this type of 
language/guidance (from a document such as yours), then it should be more 
likely to happen with the language in a document such as yours. 
*Acceptable* turnover is the goal here, right? What I'm proposing is the 
opposite of the unwritten rule in boxing, where you have to beat the champ 
to take the title belt away because the benefit of doubt will always go 
towards the champ.

We seem to have a similar situation here, if a sitting AD wants to stay in 
the position, unless that individual reeeeally screw up (there is an 
example of this, too, recently), they keep the position.

This should not continue, which is why I am please with your effort.

cheers,
James

                                 *******************

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 28 Jul 2005 15:24:36 +0200

John C Klensin wrote:
...
> the IESG to the IAB and vice versa. 
...
> Nothing in the proposal would prohibit them from

I agree, though my "time off" between the IAB and the IESG
turned into "time served" as a WG Chair. But I think that
for this sort of thing we should go for guidelines rather
than rules. Over-constraining the system is not in our
interests.

    Brian

---

From: John C Klensin <[email-masked]>
Date: Thu, 28 Jul 2005 10:00:30 -0400

--On Thursday, 28 July, 2005 15:24 +0200 Brian E Carpenter
<[email-masked]> wrote:

> turned into "time served" as a WG Chair. 

My notion of "break" as used above is not "break from the IETF"
but "break from the formal, IESG/IAB leadership".   I think
putting in that time as a WG chair is precisely the sort of
perspective-regainer that is desirable.  For some people, doing
the work is better than chairing it, but that is a fine point
and an individual one.    I also have bias that it would be
better for the community if people like former IESG and IAB
members would spend their time mentoring and supporting the next
round of upcoming leadership rather than taking on, e.g., WG
Chair roles themselves, but that is, again, an individual matter.

> But I think that

I completely agree.  In many cases, I'd even favor suggestions
over guidelines.   The only thing that seems to require a rule
or near-rule is rotation off the IESG --as a break and to make
the experience available to others.

     john

---

From: "Spencer Dawkins" <[email-masked]>
Date: Thu, 28 Jul 2005 09:21:04 -0500

Dear John

Just to chime in here...

> Chair roles themselves, but that is, again, an individual matter.

IIRC, Brian ended up serving as co-chair in multi6, at a pretty 
important time in the life of that working group. It was actually A 
Good Thing that Brian was available to serve.

Scott Bradner has served as newtrk chair, and as document editor for 
several of the IPR BCP updates.

Erik Nordmark is now chairing TRILL, which I'm pretty excited about.

So I think Brian's note actually understated the type of Good Thing 
that can happen when experienced IAB and IESG types take a break.

I'm sure other ex-ADs and ex-IAB types have also been significant 
contributors while "taking a break" from formal IETF leadership, and 
don't mean to slight them at all - but these are the folks who have 
crossed my paths in working groups, in the past couple of years.

Spencer